<?xml version="1.0" encoding="UTF-8"?>
<templates id="template" xml:space="preserve">

    <t t-name="PaymentSummaryPopup" owl="1">
        <div role="dialog" class="modal-dialog">
            <Draggable>
                <div class="popup">
                    <header class="title drag-handle">
                        <t t-esc="props.title"/>
                    </header>
                    <div class="container_summary_popup">
                        <div class="title-separator">
                            <div style="width: fit-content;margin: auto;width: 50%;">
                                <label class="switch" t-on-click="CurrentSessionCheck">
                                    <input type="checkbox" id="order_current_session_report" class="checkbox_paid"
                                           t-model="state.CurrentReport"/>
                                    <span class="slider round"/>
                                </label>
                                <span style="font-weight:normal;">Current Session Report</span>
                            </div>
                        </div>
                        <div class="summary_main_div">
                            <div class="title-separator" t-if="!state.CurrentReport">
                                <div style="width: 90%;margin: auto;height: 11px;border-bottom: 1px solid #a6a5a5;text-align: center;">
                                    <span style="background-color: #f0eeee;padding: 0 10px;color: #a6a5a5;"> Dates </span>
                                </div>
                            </div>
                            <div class="date_input_container" t-if="!state.CurrentReport">
                                <div class="summary_date_div">
                                    <span class="start_date">Start Date</span>
                                    <input id="pay_start_date" type="date" class="date" t-ref="payment_start_date"
                                           t-model="state.StartDate"
                                           t-att-class="{ blank_validation_input: state.StartDateBlank }"/>
                                </div>
                                <div class="summary_date_div">
                                    <span class="end_date">End Date </span>
                                    <input id="pay_end_date" type="date" class="date" t-ref="payment_end_date"
                                           t-model="state.EndDate"
                                           t-att-class="{ blank_validation_input: state.EndDateBlank }"/>
                                </div>
                            </div>
                        </div>
                        <div class="summary_option_container">
                            <div class="title-separator">
                                <div style="width: 100%;margin: auto;height: 11px;border-bottom: 1px solid #a6a5a5;text-align: center;">
                                    <span style="background-color: #f0eeee;padding: 0 10px;color: #a6a5a5;"> Summary </span>
                                </div>
                            </div>
                            <div class="button report-button"
                                 t-att-class="{ active: state.PaymentSelectData == 'sales_person' }"
                                 t-on-click="PaymentSelectDataCheck('sales_person')" style="left: 16%;">
                                    <span>Salespersons</span>
                            </div>
                            <div class="button report-button"
                                 t-att-class="{ active: state.PaymentSelectData == 'journals' }"
                                 t-on-click="PaymentSelectDataCheck('journals')" style="left: 31%;">
                                <span>Payment Method</span>
                            </div>
                        </div>

                    </div>
                    <footer class="footer">
                        <div class="button confirm" t-on-click="confirm">
                            Print
                        </div>
                        <div class="button cancel" t-on-click="cancel">
                            <t t-esc="props.cancelText"/>
                        </div>
                    </footer>
                </div>
            </Draggable>
        </div>
    </t>

</templates>
